Page MenuHomePhabricator

[epic] Migrate to a new vector tile structure
Open, NormalPublic

Description

We should migrate to a different vector tile structure that is aligned closer to the data we try to present, and that would have no legal concerns.

Details

Related Gerrit Patches:

Related Objects

StatusAssignedTask
DeclinedNone
DeclinedNone
DeclinedPnorman
DeclinedPnorman
ResolvedPnorman
OpenNone
OpenNone
OpenNone
InvalidNone
StalledPnorman
OpenPnorman
DeclinedNone
DeclinedNone
DeclinedNone
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedMholloway
ResolvedPnorman
DeclinedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
DeclinedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
DuplicateNone
ResolvedPnorman
ResolvedNone
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
Resolveddebt
ResolvedPnorman
ResolvedPnorman
ResolvedNone
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
DeclinedPnorman
ResolvedPnorman
DeclinedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
DeclinedNone
DeclinedGehel
ResolvedMholloway
ResolvedPnorman
ResolvedGehel
ResolvedPnorman
ResolvedGehel
ResolvedGehel
ResolvedGehel
ResolvedNone
DeclinedNone
ResolvedPnorman
ResolvedNone
ResolvedNone
Resolvedmobrovac
ResolvedGehel
ResolvedPnorman
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone
ResolvedGehel
ResolvedSBisson
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
ResolvedGehel
ResolvedGehel
ResolvedGehel
ResolvedPnorman
ResolvedMholloway
ResolvedGehel
ResolvedCKoerner_WMF
ResolvedPnorman
ResolvedPnorman
ResolvedPnorman
DeclinedCKoerner_WMF

Event Timeline

Yurik created this task.Dec 15 2016, 4:25 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 15 2016, 4:25 AM
Pnorman moved this task from Backlog to In progress on the Maps-Sprint board.
Deskana assigned this task to Pnorman.Jan 25 2017, 7:33 PM
Deskana added a subscriber: Deskana.

Assigning to Paul, as he is working on this epic and all associated tasks.

mxn added a subscriber: mxn.Apr 5 2017, 11:02 PM
debt added a subscriber: debt.Apr 7 2017, 4:10 PM

Just FYI - @Pnorman posted the new maps style (work in progress) to the maps mailing list. Here's the contents:

As part of https://phabricator.wikimedia.org/T153282 a new style for Wikimedia maps is being developed, and I've loaded up the whole planet on one of my test servers as a test and demo.
The demo is available at http://legolas.paulnorman.ca:6789/, and through "Compare" on the right-hand side of the interface you can compare it with the current Wikimedia style, OpenStreetMap Carto, and lots of others. Some other things to be aware of when comparing are

  • The map is displayed with Kosmtik, a design tool with minimal caching, and it might be restarted while I'm working on it
  • Even though the server is faster than production, it may appear slower because it doesn't have everything cached
  • The OSM data on the server is normally within a day of the latest data
  • Some roads are missing with https://phabricator.wikimedia.org/T160781

Some of the more noticeable style changes are

  • Road colours are different, helping view the overall layout of the city
  • There are fewer cases of subtly different shades of green.
  • Bridges and multi-level road constructions are now handled properly, which should make some areas easier to figure out

Feedback is welcome, either through email, phab tickets, or by IRC in #wikimedia-interactive on freenode.

I think this is a great start to garnering feedback on the new map style, but I think it should also go out to several Village Pumps on Wikivoyage and to other projects/languages that heavily use maps on their pages.

Change 383398 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] maps: isolate maps-test2004 to test vector tiles

https://gerrit.wikimedia.org/r/383398

Change 383573 had a related patch set uploaded (by Gehel; owner: Gehel):
[labs/private@master] New role to validate maps with new vector tiles.

https://gerrit.wikimedia.org/r/383573

Change 383573 merged by Gehel:
[labs/private@master] New role to validate maps with new vector tiles.

https://gerrit.wikimedia.org/r/383573

Mentioned in SAL (#wikimedia-operations) [2017-10-11T16:09:45Z] <gehel> decommission maps-test2004 from its cassandra cluster (free a node to test vector tiles) - T153282

Change 383398 merged by Gehel:
[operations/puppet@production] maps: isolate maps-test2004 to test vector tiles

https://gerrit.wikimedia.org/r/383398

Mentioned in SAL (#wikimedia-operations) [2017-10-12T07:51:09Z] <gehel> reinitialize cassandra on maps-test2004 to test vector tiles - T153282

kaldari added a subscriber: kaldari.Jun 5 2018, 4:39 PM

@Pnorman: Can you elaborate on the legal concerns?

And actually, can you explain the rest of this task as well? What vector tile structure should we migrate to and why? The existing description is quite vague.